org.apache.catalina.tribes

## Interface MessageListener

All Known Implementing Classes:
  ChannelCoordinator, McastService

    public interface MessageListener

Title: MessageListener

Description: The listener to be registered with the ChannelReceiver, internal Tribes component

Version:
  1.0
Author:
  Filip Hanik

### Method Summary

Methods
`boolean` `accept(ChannelMessage msg)`
`boolean` `equals(Object listener)`
`int` `hashCode()`
`void` `messageReceived(ChannelMessage msg)` Receive a message from the IO components in the Channel stack

### Method Detail

#### messageReceived

    void messageReceived(ChannelMessage msg)

Receive a message from the IO components in the Channel stack

Parameters:
  `msg` - ChannelMessage

#### accept

    boolean accept(ChannelMessage msg)

#### equals

    boolean equals(Object listener)

Overrides:
  `equals` in class `Object`

#### hashCode

    int hashCode()

Overrides:
  `hashCode` in class `Object`